GET-OUI(1)

NAME
get-oui - Fetch the arp-scan OUI file from the IEEE website

SYNOPSIS
get-oui [options]

DESCRIPTION
get-oui fetches the MAC/Vendor registry data from the IEEE website and converts it to the format used by arp-scan. The contents of the following registries are downloaded and processed:

MA-L | 24-bit | The original OUI registry
MA-M | 28-bit | Medium address block registry
MA-S | 36-bit | Small address block registry (OUI-36)
IAB | 36-bit | The IAB registry (closed for new applications)

This script creates ieee-oui.txt from the latest data on the IEEE website. You can run get-oui occasionally to keep the OUI file up to date.

The OUI data is fetched from the URLs specified in the get-oui script and the output file is saved to the file ieee-oui.txt in the current directory. The output file name can be changed with the -f option.

The ieee-oui.txt file that is produced by this script is used by arp-scan to determine the Ethernet card vendor from its hardware address.

arp-scan will first look for ieee-oui.txt in the current directory. If that fails, it will use the system wide file /usr/share/arp-scan/ieee-oui.txt.

OPTIONS

-h  Display a brief usage message and exit.

-f <fn>
    Write the output to the specified file instead of the default ieee-oui.txt.

-v  Display verbose progress messages.

FILES

ieee-oui.txt
    The default output file.

EXAMPLES
$ ./get-oui -v
Renaming ieee-oui.txt to ieee-oui.txt.bak
Opening ieee-oui.txt for output
Processing IEEE IAB registry data from https://standards-oui.ieee.org/iab/iab.csv
        Downloaded 381454 bytes
        4575 IAB entries written to ieee-oui.txt
Processing IEEE MAM registry data from https://standards-oui.ieee.org/oui28/mam.csv
        Downloaded 492756 bytes
        4477 MAM entries written to ieee-oui.txt
Processing IEEE OUI registry data from https://standards-oui.ieee.org/oui/oui.csv
        Downloaded 3051812 bytes
        32845 OUI entries written to ieee-oui.txt
Processing IEEE OUI36 registry data from https://standards-oui.ieee.org/oui36/oui36.csv
        Downloaded 466151 bytes
        5131 OUI36 entries written to ieee-oui.txt
Total of 47028 MAC/Vendor mappings written to ieee-oui.txt

NOTES
get-oui is implemented in Perl, so you need to have the Perl interpreter installed on your system to use it.

get-oui uses the LWP::UserAgent and Text::CSV Perl modules to fetch and process the IEEE registry data. You must have these modules installed on your system for it to work. These modules are available on most distributions, often called libwww-perl and libtext-csv-perl. They are also available in source form from CPAN.

You can use a proxy server by defining the http_proxy environment variable.

SEE ALSO

arp-scan(1)

arp-fingerprint(1)